require 'wisper'
require 'dry-struct'
require 'dry-types'
require 'stormwatch/workflows/registry'
require 'stormwatch/workflows/requirements'

module Stormwatch
  module Workflows
    class Base
      include Wisper::Publisher

      def call(payload:)
      end

      class Payload < Dry::Struct
      end
    end

    module Types
      include Dry::Types.module
    end
  end
end
